Mailinglist Archive: opensuse-security-announce (53 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:1268-1: important: Security update for MozillaFirefox, mozilla-nspr, mozilla-nss
SUSE Security Update: Security update for MozillaFirefox, mozilla-nspr,
mozilla-nss
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:1268-1
Rating: important
References: #908275 #935033 #935979
Cross-References: CVE-2015-2721 CVE-2015-2722 CVE-2015-2724
CVE-2015-2725 CVE-2015-2726 CVE-2015-2728
CVE-2015-2730 CVE-2015-2733 CVE-2015-2734
CVE-2015-2735 CVE-2015-2736 CVE-2015-2737
CVE-2015-2738 CVE-2015-2739 CVE-2015-2740
CVE-2015-2743 CVE-2015-4000
Affected Products:
SUSE Linux Enterprise Server 11-SP4
______________________________________________________________________________

An update that fixes 17 vulnerabilities is now available.

Description:

MozillaFirefox, mozilla-nspr and mozilla-nss were updated to fix 17
security issues.

For more details please check the changelogs.

These security issues were fixed:
- CVE-2015-2724/CVE-2015-2725/CVE-2015-2726: Miscellaneous memory safety
hazards (bsc#935979).
- CVE-2015-2728: Type confusion in Indexed Database Manager (bsc#935979).
- CVE-2015-2730: ECDSA signature validation fails to handle some
signatures correctly (bsc#935979).
- CVE-2015-2722/CVE-2015-2733: Use-after-free in workers while using
XMLHttpRequest (bsc#935979).
-
CVE-2015-2734/CVE-2015-2735/CVE-2015-2736/CVE-2015-2737/CVE-2015-2738/CVE-2
015-2739/CVE-2015-2740: Vulnerabilities found through code inspection
(bsc#935979).
- CVE-2015-2743: Privilege escalation in PDF.js (bsc#935979).
- CVE-2015-4000: NSS accepts export-length DHE keys with regular DHE
cipher suites (bsc#935033).
- CVE-2015-2721: NSS incorrectly permits skipping of ServerKeyExchange
(bsc#935979).

This non-security issue was fixed:
- bsc#908275: Firefox did not print in landscape orientation.


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-MozillaFirefox-201507-12001=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 11-SP4 (ia64 ppc64):

MozillaFirefox-31.8.0esr-0.10.1
MozillaFirefox-translations-31.8.0esr-0.10.1
libfreebl3-3.19.2_CKBI_1.98-0.10.1
libsoftokn3-3.19.2_CKBI_1.98-0.10.1
mozilla-nspr-4.10.8-0.5.1
mozilla-nss-3.19.2_CKBI_1.98-0.10.1
mozilla-nss-tools-3.19.2_CKBI_1.98-0.10.1

- SUSE Linux Enterprise Server 11-SP4 (ppc64):

libfreebl3-32bit-3.19.2_CKBI_1.98-0.10.1
libsoftokn3-32bit-3.19.2_CKBI_1.98-0.10.1
mozilla-nspr-32bit-4.10.8-0.5.1
mozilla-nss-32bit-3.19.2_CKBI_1.98-0.10.1

- SUSE Linux Enterprise Server 11-SP4 (ia64):

libfreebl3-x86-3.19.2_CKBI_1.98-0.10.1
libsoftokn3-x86-3.19.2_CKBI_1.98-0.10.1
mozilla-nspr-x86-4.10.8-0.5.1
mozilla-nss-x86-3.19.2_CKBI_1.98-0.10.1


References:

https://www.suse.com/security/cve/CVE-2015-2721.html
https://www.suse.com/security/cve/CVE-2015-2722.html
https://www.suse.com/security/cve/CVE-2015-2724.html
https://www.suse.com/security/cve/CVE-2015-2725.html
https://www.suse.com/security/cve/CVE-2015-2726.html
https://www.suse.com/security/cve/CVE-2015-2728.html
https://www.suse.com/security/cve/CVE-2015-2730.html
https://www.suse.com/security/cve/CVE-2015-2733.html
https://www.suse.com/security/cve/CVE-2015-2734.html
https://www.suse.com/security/cve/CVE-2015-2735.html
https://www.suse.com/security/cve/CVE-2015-2736.html
https://www.suse.com/security/cve/CVE-2015-2737.html
https://www.suse.com/security/cve/CVE-2015-2738.html
https://www.suse.com/security/cve/CVE-2015-2739.html
https://www.suse.com/security/cve/CVE-2015-2740.html
https://www.suse.com/security/cve/CVE-2015-2743.html
https://www.suse.com/security/cve/CVE-2015-4000.html
https://bugzilla.suse.com/908275
https://bugzilla.suse.com/935033
https://bugzilla.suse.com/935979

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages